Feature # 110 (New): [LAB] Laboratory OP Module

[LAB] Create Ul screen for Culture sensitivity test result entry feature
30/04/2024 05:20 PM - Srusvin Loka

Status: New Start date: 11/06/2024
Priority: Normal Due date:

Assignee: Srusvin Loka % Done: 70%
Category: Estimated time: 0:00 hour
Target version: Lab OP (MVP) Spent time: 0:00 hour
Deployed In: Category: ul
Description

Create Ul screen for Culture sensitivity test result entry feature

1. Load the screen when we select a Lab OrderID in Laboratory worklist.

2. Patient banner and order banner details to be loaded.

3. Screen is dynamic. Based on the test-parameter mapping, the Lab parameters will load the screen.
4. Result value input object, units will be loaded dynamically based on the type of parameter.

5. Normal range will be loaded based on the respective parameter master data configuration.

6. Add dropdown for Microorganism selection (multiple selection option).

. Display the configured antibiotics once organism is selected. Susceptibility values Resistant or Sensitive is required. Refer table in
attached screenshot.

8. Verify and print button to be enabled only after result entered status.

9. Pathologists dropdown values to be considered from Specialty - Lab doctor mapping master based on the lab test's specialty.

7. select the 'Result Template' mapped to the lab test and upon selecting one template, load the template default result data in the
result screen.
Subtasks:
Feature # 626: [LAB] Create Ul Design screen for Culture sensitivity test result entry ...

Resolved

History

#1 - 30/04/2024 04:51 AM - Srusvin Loka
- File clipboard-202404301721-tmtw1.png added

- Description updated

#2 - 30/04/2024 04:57 AM - Srusvin Loka

- Description updated

#3 - 30/04/2024 05:38 AM - Sivakanth Kesiraju
- Target version set to Lab OP (MVP)

#4 - 11/06/2024 03:30 AM - Uma Maheswarachari Melpati
- Subtask #626 added
